class A {
  A(int i) { System.out.println("A()"); }
}

class B {
  B(int i) { System.out.println("B()"); }
}

class C extends A {
  B b;
  C(int i) {
    super(i);
    b = new B(i);
  }
}

public class ch6ex2 {
  public static void main(String args[]) {
    C c = new C(1);
  }
}
